godo.AgentPlatform.GetSimulationEpisodeTrajectoryURL()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.GetSimulationEpisodeTrajectoryURL(ctx context.Context, runUUID string, episodeUUID string) (*godo.SimulationEpisodeTrajectoryURLResponse, *godo.Response, error)Description
GetSimulationEpisodeTrajectoryURL returns a presigned download URL for an
episode’s trajectory JSON.
This method sends a GET request to /v2/gen-ai/simulation_runs/{}/episodes/{}/trajectory_url.
Parameters
runUUIDstring requiredepisodeUUIDstring required
Returns
- *godo.SimulationEpisodeTrajectoryURLResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.SimulationEpisodeTrajectoryURLResponse
SimulationEpisodeTrajectoryURLResponse is returned by GetSimulationEpisodeTrajectoryURL.
DownloadURLstringExpiresAt*godo.Timestamp
Request Sample
More Information
See GET /v2/gen-ai/simulation_runs/{}/episodes/{}/trajectory_url in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.